weka.classifiers.functions.explicitboundaries.models

## Class LinearRegressionBoundary

- java.lang.Object
- - weka.classifiers.AbstractClassifier
  - - weka.classifiers.functions.LinearRegression
    - - weka.classifiers.functions.explicitboundaries.models.LinearRegressionBoundary

- All Implemented Interfaces:
    Serializable, Cloneable, weka.classifiers.Classifier, ClassifierWithBoundaries, weka.core.BatchPredictor, weka.core.CapabilitiesHandler, weka.core.CapabilitiesIgnorer, weka.core.CommandlineRunnable, weka.core.OptionHandler, weka.core.RevisionHandler, weka.core.WeightedInstancesHandler

      public class LinearRegressionBoundary
      extends weka.classifiers.functions.LinearRegression
      implements ClassifierWithBoundaries

  Author:
    pawel
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class weka.classifiers.functions.LinearRegression

      `SELECTION_GREEDY, SELECTION_M5, SELECTION_NONE, TAGS_SELECTION`

    - ### Fields inherited from class weka.classifiers.AbstractClassifier

      `BATCH_SIZE_DEFAULT, NUM_DECIMAL_PLACES_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LinearRegressionBoundary()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DecisionBoundary` | `getBoundary()` Returns decision boundaries of the classifier
    `weka.core.Capabilities` | `getCapabilities()`
    `static void` | `main(String[] args)`

    - ### Methods inherited from class weka.classifiers.functions.LinearRegression

      `attributeSelectionMethodTipText, buildClassifier, classifyInstance, coefficients, eliminateColinearAttributesTipText, getAttributeSelectionMethod, getEliminateColinearAttributes, getMinimal, getOptions, getOutputAdditionalStats, getRevision, getRidge, getUseQRDecomposition, globalInfo, listOptions, minimalTipText, numParameters, outputAdditionalStatsTipText, ridgeTipText, setAttributeSelectionMethod, setEliminateColinearAttributes, setMinimal, setOptions, setOutputAdditionalStats, setRidge, setUseQRDecomposition, toString, turnChecksOff, turnChecksOn, useQRDecompositionTipText`

    - ### Methods inherited from class weka.classifiers.AbstractClassifier

      `batchSizeTipText, debugTipText, distributionForInstance, distributionsForInstances, doNotCheckCapabilitiesTipText, forName, getBatchSize, getDebug, getDoNotCheckCapabilities, getNumDecimalPlaces, implementsMoreEfficientBatchPrediction, makeCopies, makeCopy, numDecimalPlacesTipText, postExecution, preExecution, run, runClassifier, setBatchSize, setDebug, setDoNotCheckCapabilities, setNumDecimalPlaces`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface weka.classifiers.Classifier

      `buildClassifier, classifyInstance, distributionForInstance`

- - ### Constructor Detail

    - #### LinearRegressionBoundary

          public LinearRegressionBoundary()

  - ### Method Detail

    - #### getBoundary

          public DecisionBoundary getBoundary()
                                       throws Exception

      Description copied from interface: `ClassifierWithBoundaries`
      Returns decision boundaries of the classifier
      Specified by:
        `getBoundary` in interface `ClassifierWithBoundaries`
      Returns:
        Decision boundaries
      Throws:
        `Exception`

    - #### getCapabilities

          public weka.core.Capabilities getCapabilities()

      Specified by:
        `getCapabilities` in interface `weka.classifiers.Classifier`
      Specified by:
        `getCapabilities` in interface `weka.core.CapabilitiesHandler`
      Overrides:
        `getCapabilities` in class `weka.classifiers.functions.LinearRegression`

    - #### main

          public static void main(String[] args)

      Parameters:
        `args` -

Copyright © 2019. All Rights Reserved.